=== debian/changelog ===
vim (5.6.070-1) frozen unstable; urgency=low

  * More upstream bugfixes merged
  * Use vim-rt package in menu entries. Without this change vim would
    never show up in menus. Closes: Bug#63100
  * Change update-alternatives call to reflect that manpages are now in
    /usr/share/man. Closes: Bug#63320
  * Add Pre-Depends and check in a new preinst to make sure the running dpkg
    supports multiple conflicts & replaces

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 May 2000 13:51:11 +0200

vim (5.6.052-1) frozen unstable; urgency=low

  * Another 21 new upstream bugfixes merged

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 17:16:59 +0200

vim (5.6.031-1) frozen unstable; urgency=low

  * Figures that in the 24 hours after I release an update 16 upstream
    patches are released..
  * Enable gpm support (except in vim-tiny of course) on popular request.
  * Enable rightleft support in packages with gvim

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 26 Mar 2000 17:18:54 +0200

vim (5.6.015-1) frozen unstable; urgency=low

  * 3 more upstream bugfixes applied
  * Fix menu entries so we don't mention gvim for vim and vim-tiny
  * Link dynamically to libpython

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 24 Mar 2000 15:13:33 +0100

vim (5.6.012-1) frozen unstable; urgency=low

  * Another bugfix patch applied (hang with zsh)
  * Fooled by debhelper again.. restore maintainer scripts
    which were suddenly gone missing, Closes: Bug# 57491, #57500

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 10 Feb 2000 17:22:37 +0100

vim (5.6.011-1) frozen unstable; urgency=low

  * Seven more bugfix patches applied
  * Don't include all the gvim stuff in the standard vim package

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 27 Jan 2000 03:05:23 +0100

vim (5.6.000-1) frozen unstable; urgency=low

  * No longer beta. There are no changes from the previous package except
    that this version is no longer marked as a beta version.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 17 Jan 2000 00:28:15 +0100

vim (5.6-0.5.6a.028-1) frozen unstable; urgency=low

  * Include more upstream bugfixes
  * Add Debian-specific filetypes to default vimrc, Closes: Bug#54339
  * Make vim-rt only recommend vim

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 15 Jan 2000 16:38:17 +0100

vim (5.6-0.5.6a.019-1) unstable; urgency=low

  * Include patches up to 5.6a.019
  * Rebuild to get VIMRUNTIME correct
  * Fix description for vim-gtk, Closes: Bug#54748

 -- Wichert Akkerman <Wakkerma@debian.org>  Tue, 11 Jan 2000 10:14:10 +0100

vim (5.6-0.5.6a.018-1) unstable; urgency=low

  * New upstream version, pre-release for 5.6, patchlevel 018
  * Provide editor
  * vim no longer has any X support
  * Add vim-gtk with the GTK frontend

 -- Wichert Akkerman <Wakkerma@debian.org>  Mon, 10 Jan 2000 03:00:44 +0100

vim (5.5.033-1) unstable; urgency=low

  * Include patches up to 5.5.033
  
 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 18 Oct 1999 16:14:21 +0200

vim (5.5.009-1) unstable; urgency=low

  * Include patches up to 5.5.009
  * Fix paths in manpages

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 28 Sep 1999 02:08:28 +0200

vim (5.5-1) unstable; urgency=low

  * New upstream version

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 21 Sep 1999 04:07:57 +0200

vim (5.4.49-1) unstable; urgency=low

  * Include patches up to 5.4.49
  * Build with multibyte and xim support, Closes:Bug#43245

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  2 Sep 1999 15:50:12 +0200

vim (5.4.21-1) unstable; urgency=low

  * Include patches up to 5.4.21
  * Fix asnother concatenated line in vimrc
  * Don't register gvim for vim-tty

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 11 Aug 1999 01:18:01 +0200

vim (5.4.17-1) unstable; urgency=low

  * Include patches up to 5.4.17
  * Make vim-tty provide vim, Closes:Bug#42659
  * Fix accidentily joined lines in vimrc, Closes:Bug#42663
  
 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  9 Aug 1999 04:30:37 +0200

vim (5.4.12-1) unstable; urgency=low

  * Include patches up to 5.4.12
  * Add a new package: vim-tty. This is a build with all the normal
    features, but without any X support. 

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  5 Aug 1999 21:31:13 +0200

vim (5.4.11-1) unstable; urgency=low

  * Include patches up to 5.4.11

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  2 Aug 1999 03:03:02 +0200

vim (5.4.7-1) unstable; urgency=low

  * Include patches up to 5.4.7
  * Fix replaces, dpkg can't handle multiple replaces-lines in control
  * Fix typo in debian/rules causing vim-tiny to get X11 support
  * Only change extension in second column of documentation tags-file
  * Remove [ce]tags, they are packaged seperately

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 29 Jul 1999 17:17:05 +0200

vim (5.4-1) unstable; urgency=low

  * Finally, vim 5.4 has arrived!
  * Lets build vim-rt only in binary-indep now

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 25 Jul 1999 23:19:03 +0200

vim (5.4-0.5.4p-1) unstable; urgency=low

  * Yet-another-last-beta for vim 5.4
  * Make vim-* replace vim-rt since we moved some stuff around

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 19 Jul 1999 17:29:49 +0200

vim (5.4-0.5.4o.6) unstable; urgency=low

  * Patched up to version 5.4o.6 beta
  * Default vimrc clean on request of the Cistron crew: :)
    + Change default vimrc to be more compatible with upstream defaults
    + Turn backup off by default
    + Don't map Q to gq anymore
  
 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 15 Jul 1999 23:18:28 +0200

vim (5.4-0.5.4o.1) unstable; urgency=low

  * Third upstream beta-version
  * Patched up to version 5.4o.1 beta

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 12 Jul 1999 17:26:01 +0200

vim (5.4-0.5.4n.18) unstable; urgency=low

  * Second upstream beta-version
  * Patched up to version 5.4n.18 beta
  * Fix vimrc: we should explicitly use expand now


