=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Standards-Version: 3.1

Package: vim
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: editor
Conflicts: vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim-tiny, vim-perl, vim-python, vim-tcl, vim-gtk
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with all the normal features but without
 any X support.

Package: vim-gtk
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-python, vim-tcl, vim-tty
Description: Vi IMproved - GTK version
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with the GTK frontend.

Package: vim-tiny
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags, vim-rt (>=5.3-6)
Replaces: vim-rt
Provides: vim, editor
Conflicts: vim, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-perl, vim-python, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - minimal build
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with a subset of the normal features.

Package: vim-perl
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-python, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-python, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - with perl support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with perl interpreter support.

Package: vim-python
Architecture: any
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-tcl, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-tcl, vim-tty, vim-gtk
Description: Vi IMproved - with python support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with python interpreter support.

Package: vim-tcl
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ctags
Recommends: vim-rt
Provides: vim, editor
Conflicts: vim, vim-tiny, vim-perl, vim-python, vim-tty, vim-gtk
Replaces: vim-rt, vim, vim-tiny, vim-perl, vim-python, vim-tty, vim-gtk
Description: Vi IMproved - with tcl support
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the vim program itself. The runtime-files are in the
 vim-rt package. It has been build with Tcl interpreter support.

Package: vim-rt
Architecture: all
Replaces: vim (<< 5.2)
Recommends: vim
Suggests: ctags
Description: Vi IMproved - runtime support files
 Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.
 .
 This packages contains the runtime-files.
